Method: projects.locations.skills.create

=========================================================================

Skills Collection APIs

Creates a Skill resource container, optionally publishing the initial SkillRevision inline in a single, atomic CRUD roundtrip.

HTTP request

POST https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/skills

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location location to bootstrap.

Query parameters

Parameters
skillId

string

Required. Custom, user-defined unique container identifier. Must be unique within the parent project and location. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

requestId

string

Optional. Signed UUID request idempotency token.

Request body

The request body contains an instance of Skill.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.skills.create

For more information, see the IAM documentation.